dump (0.4b45-3) unstable; urgency=medium

  * segfault issue from 826398 properly resolved,
  * qfa functionality restored (closes: #826669)

 -- Alexander Zangerl <az@debian.org>  Sun, 26 Jun 2016 00:35:51 +1000

dump (0.4b45-2) unstable; urgency=high

  * interim build with QFA disabled, as that triggers a
    segfault and renders dump completely broken (closes: #826398)
	
 -- Alexander Zangerl <az@debian.org>  Wed, 08 Jun 2016 19:04:16 +1000

dump (0.4b45-1) unstable; urgency=medium

  * New upstream release
  * some build cleanups
    (no more --enable-staticz as those libs are now all in /lib)

 -- Alexander Zangerl <az@debian.org>  Sun, 29 May 2016 13:06:41 +1000

dump (0.4b44-8) unstable; urgency=low

  * fixed invalid ftruncate call when doing an
	 	on-the-fly compare (closes: #814362)
  * applied patch to offer zero-terminated file listings (closes: #703564)
  * applied patch to make symlink attribute handling consistent
    (closes: #735581, #364388)
  * changed error handler to terminate on corrupt restoresymtable,
	  regardless of -y (closes: #574469)

 -- Alexander Zangerl <az@debian.org>  Sat, 20 Feb 2016 13:33:56 +1000

dump (0.4b44-7) unstable; urgency=low

  * new maintainer (closes: #722731)
  * removed remaining bashisms in example script (closes: #772259)
  * applied patch for lockup on sparcs (closes: #623422)

 -- Alexander Zangerl <az@debian.org>  Mon, 04 May 2015 22:00:02 +1000

dump (0.4b44-6) experimental; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Updated the Vcs-Browser to new pattern.
  * debian/copyright:
      - dump uses BSD-3-clause now.
      - Added the GPL-2+ for some files.
      - Updated copyright years and names for maintainers and upstream.
  * debian/dump.lintian-overrides:
      - Added a line to override the package-contains-timestamped-gzip message.
      - Renamed to lintian-overrides.
  * debian/rules: added the DEB_CFLAGS_MAINT_APPEND and DEB_LDFLAGS_MAINT_APPEND
      flags to fix some compilation warnings shown by dpkg-shlibdeps and blhc
      command.
  * debian/patches/: renamed auto-0.4b44-5-8544ff70a0b617566795d1e0c611e5e9d...
      patch to skip-directories-scheduled-for-deletion.
  * debian/watch: added.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 20 Feb 2015 17:29:49 -0200

dump (0.4b44-5) unstable; urgency=high

  * Patch from Ben Harris to skip directories already scheduled for
    deletion in findunreflinks() (Closes: #714234)

 -- Matthew Vernon <matthew@debian.org>  Mon, 29 Sep 2014 11:36:37 +0100

dump (0.4b44-4) unstable; urgency=low

  * QA upload.
  * debian/postinst: drop --verbose flag from update-alternatives invocation.
  * debian/*rm: add set -e to fix lintian warning.
  * debian/control:
    + add Homepage field.
    + Update VCS fields to canonical values.
    + Bump Standards-Version to 3.9.4. No changes required.
  * Update to debhelper 9:
    + debian/rules: update accordingly.
    + debian/compat: bump compatibility level to 9.
    + debian/control: bump debhelper versioned build-dep to >= 9.
    + debian/docs: include docs previously manually installed.
    + debian/examples: include previously-included examples.
  * debian/copyright: update to DEP-5.

 -- Mattia Rizzolo <mattia@mapreri.org>  Thu, 19 Sep 2013 15:51:33 +0200

dump (0.4b44-3) unstable; urgency=low

  * move canonical repository to collab-maint

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Sep 2013 17:44:58 -0600

dump (0.4b44-2) unstable; urgency=low

  * orphan the package

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Sep 2013 17:30:26 -0600

dump (0.4b44-1) unstable; urgency=low

  * new upstream version, closes: #583093, #614068, #622350, #629831
  * add pkg-config as a build dependency
  * update to newer source package format
  * work around com_err not showing up in EXT2FS_LIBS with pass to configure
  * update lintian overrides related to static linking of compression libs
  * add Vcs entries to the control file

 -- Bdale Garbee <bdale@gag.com>  Fri, 10 Jun 2011 11:06:30 -0600

dump (0.4b43-1) unstable; urgency=low

  * new upstream version, closes: #574667
  * let the dump man page admit that ext4 works now, too

 -- Bdale Garbee <bdale@gag.com>  Fri, 11 Jun 2010 09:51:57 -0600

dump (0.4b42-2) unstable; urgency=low

  * build-dep on libreadline-dev so we track new versions, closes: #553747

 -- Bdale Garbee <bdale@gag.com>  Sun, 01 Nov 2009 20:03:02 -0700

dump (0.4b42-1) unstable; urgency=low

  * new upstream version, closes: #378349, #511651
  * add build dependencies on libdevmapper-dev, libselinux1-dev
  * add lintian override since we intentionally statically link against zlib
    so that restore can work without /usr being present as per #117496

 -- Bdale Garbee <bdale@gag.com>  Thu, 18 Jun 2009 14:02:13 -0600

dump (0.4b41-6) unstable; urgency=high

  * increase urgency since this minor fix would be good for lenny
  * fix bashisms in example shell script, closes: #489570

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Aug 2008 08:51:32 -0600

dump (0.4b41-5) unstable; urgency=low

  * eliminate debian/po in the source tree since it is no longer relevant,
    closes: #407218

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 Feb 2007 17:48:47 +0900

dump (0.4b41-4) unstable; urgency=low

  * small addition to the man page to help clarify how level numbers should
    be expressed on the dump command line, closes: #378349
  * eliminate handling of obsolete /etc/dumpdates with associated use of
    debconf notes, since that change was over 8 years, and no harm will is
    done in any case, closes: #388888
  * add autotools-dev support to keep config.sub/config.guess fresh

 -- Bdale Garbee <bdale@gag.com>  Fri,  8 Dec 2006 18:28:06 -0600

dump (0.4b41-3) unstable; urgency=low

  * accept updated Russian translation, closes: #360929

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 Apr 2006 01:09:49 -0600

dump (0.4b41-2) unstable; urgency=low

  * fix postrm to only remove dumpdates file on purge, closes: #346142

 -- Bdale Garbee <bdale@gag.com>  Thu,  5 Jan 2006 20:13:45 -0700

dump (0.4b41-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon,  2 Jan 2006 16:18:56 -0700

dump (0.4b40-1) unstable; urgency=low

  * new upstream version, closes: #289210, #291644, #307423
  * add debconf-2.0 as an alternate dependency
  * updated Swedish translation from Daniel Nylander, closes: #330316
  * remove /var/lib/dumpdates on purge, since we created it on install,
    closes: #330363
  * update dependencies in light of libreadline5-dev, closes: #326374
  * rebuild ensures fresh version of zlib in case we've been vulnerable
    to CAN-2005-2096, closes: #317966
  * merge Vietnamese translation, closes: #311599
  * merge Czech translation, closes: #315825
  * update debhelper compatibility level, plus a few tweaks to pacify lintian

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Sep 2005 00:50:29 -0600

dump (0.4b37-2) unstable; urgency=low

  * merge updated de.po, closes: #281076

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 May 2005 16:48:06 +0200

dump (0.4b37-1) unstable; urgency=low

  * new upstream version
  * add --enable-staticz to configure call in rules file, replacing prior hack
  * add build deps on libblkid-dev and uuid-dev to avoid using local copy
  * updated es.po, closes: #265499

 -- Bdale Garbee <bdale@gag.com>  Tue,  7 Sep 2004 10:21:35 -0600

dump (0.4b36-2) unstable; urgency=low

  * patch to allow compilation on amd64, closes: #251615

 -- Bdale Garbee <bdale@gag.com>  Sun, 30 May 2004 00:04:41 -0300

dump (0.4b36-1) unstable; urgency=low

  * new upstream version, clean up diff.gz to remove spurious changes upstream
    points out are no longer needed.

 -- Bdale Garbee <bdale@gag.com>  Sun, 23 May 2004 21:41:50 -0600

dump (0.4b35-2) unstable; urgency=low

  * reinstate configure hack to link z and bz2 libs statically but leave
    the rest dynamic... originally reported in #117496 and closed by 0.4b25-1.
    Apparently the hack got lost during an upstream merge, closes: #249700
  * merge updated ja.po, closes: #234255
  * merge da.po, closes: #233753

 -- Bdale Garbee <bdale@gag.com>  Sat, 22 May 2004 23:02:46 -0600

dump (0.4b35-1) unstable; urgency=low

  * new upstream version, closes: #225573
  * updated fr.po, closes: #207773
  * updated pt_BR.po, closes: #207965
  * updated nl.po, closes: #216050
  * incorporate ja.po, closes: #229291
  * implement alternatives for rmt, so our version can supercede tar's when
    dump is installed, closes: #183901

 -- Bdale Garbee <bdale@gag.com>  Sun, 15 Feb 2004 16:46:18 -0700

dump (0.4b34-1) unstable; urgency=low

  * new upstream version, closes: #192019, #180476, #160304, #147086, #160305
  * switch to gettext-based debconf templates, closes: #200125
  * update templates text to make symlink issue less vague, closes: #154242

 -- Bdale Garbee <bdale@gag.com>  Tue, 19 Aug 2003 16:19:28 -0600

dump (0.4b32-1) unstable; urgency=low

  * new upstream version, closes: #169269

 -- Bdale Garbee <bdale@gag.com>  Fri, 22 Nov 2002 21:01:43 -0700

dump (0.4b31-1) unstable; urgency=low

  * new upstream version, closes: #154875, #154372, #149415, #142559

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Aug 2002 22:20:14 -0600

dump (0.4b27-4) unstable; urgency=low

  * add --enable-qfa to build, closes: #138976
  * switch to unmerged translations in the source package

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Mar 2002 01:23:11 -0700

dump (0.4b27-3) unstable; urgency=low

  * merge russian and french templates translations, closes: #137639, #138067

 -- Bdale Garbee <bdale@gag.com>  Tue, 12 Mar 2002 21:15:07 -0700

dump (0.4b27-2) unstable; urgency=medium

  * lose the inclusions of <linux/fs.h> since they aren't needed and are
    resulting in conflicting declarations on arm, closes: #137354

 -- Bdale Garbee <bdale@gag.com>  Sat,  9 Mar 2002 22:43:05 -0700

dump (0.4b27-1) unstable; urgency=low

  * new upstream version, closes: #128139

 -- Bdale Garbee <bdale@gag.com>  Fri, 15 Feb 2002 16:08:50 -0700

dump (0.4b25-1) unstable; urgency=medium

  * new upstream release, closes: #120029
  * fix from upstream for (-C -f -) error reported in 118199, does not fix
    the other problem reported in that bug, so leaving the bug open for now
  * hack configure to link z and bz2 libs statically, leave the rest dynamic
    for now, closes: #117496
  * update build dependencies to ensure compression support, closes: #115769
  * lose the debconf note about dump frequencies in fstab, it's annoying and
    not of much real value, closes: #118525, #87174, #88505
  * fix formatting problem in dump/dump.8.in, closes: #118155
  * set priority to medium as we really want this in woody

 -- Bdale Garbee <bdale@gag.com>  Fri, 23 Nov 2001 16:31:15 -0700

dump (0.4b24-1) unstable; urgency=low

  * new upstream version, closes: #112074
  * fold in -pt_BR translations to templates file, closes: #108522
  * cosmetic cleanups to make lintian happy

 -- Bdale Garbee <bdale@gag.com>  Tue, 25 Sep 2001 22:15:16 -0600

dump (0.4b23-3) unstable; urgency=low

  * mege patch for Polish text in templates file, closes: #108135
  * merge uncorrupted version of patch for German text, closes: #86214

 -- Bdale Garbee <bdale@gag.com>  Thu,  9 Aug 2001 11:47:32 -0600

dump (0.4b23-2) unstable; urgency=low

  * add build dependency on autoconf, since it can be called in some build
    circumstances, closes: #106113

 -- Bdale Garbee <bdale@gag.com>  Sun, 22 Jul 2001 16:11:39 -0600

dump (0.4b23-1) unstable; urgency=low

  * new upstream version, closes: #100564
  * merge patch for German text in templates file, closes: #86214
  * merge patch for Spanish text in templates file, closes: #102812
  * eliminate use of isdefault in debconf config script

 -- Bdale Garbee <bdale@gag.com>  Fri, 20 Jul 2001 10:07:18 -0600

dump (0.4b22-1) unstable; urgency=low

  * new upstream version, closes: #97270
  * try adding --enable-largefile again, closes: #85912
  * new version includes socket descriptor leak fix, closes: #93596
  * e2fs breakage seems fixed, closes: #98145
  * update rules file for BINDIR -> SBINDIR change in Makefile

 -- Bdale Garbee <bdale@gag.com>  Wed, 30 May 2001 01:53:50 -0600

dump (0.4b21-4) unstable; urgency=low

  * patches for gcc-3.0 compliance, hppa/ia64 support

 -- Bdale Garbee <bdale@gag.com>  Sun, 22 Apr 2001 01:30:03 -0600

dump (0.4b21-3) unstable; urgency=medium

  * turn large file support back off, since it's causing segfaults,
    reopens 85912, closes: #87567

 -- Bdale Garbee <bdale@gag.com>  Tue, 27 Feb 2001 12:07:05 -0700

dump (0.4b21-2) unstable; urgency=low

  * apply patch for build problems on alpha and with glibc 2.2.2 from Paul
    Slootman, closes: #86665
  * enable large file support, closes: #85912

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 Feb 2001 20:57:05 -0700

dump (0.4b21-1) unstable; urgency=low

  * new upstream version, closes: #82536
  * merge patch for Swedish text in templates file, closes: #83744
  * merge patch for Dutch text in templates file, closes: #85552
  * update config.sub/config.guess to versions that grok ia64 & hppa

 -- Bdale Garbee <bdale@gag.com>  Mon, 12 Feb 2001 22:20:09 -0700

dump (0.4b20-1) unstable; urgency=low

  * new upstream version
  * add debconf support (thanks shaleh!)
  * add build dependency on readline so restore can take advantage of it

 -- Bdale Garbee <bdale@gag.com>  Fri, 24 Nov 2000 22:39:33 -0700

dump (0.4b19-1) unstable; urgency=low

  * new upstream version, closes: #69622

 -- Bdale Garbee <bdale@gag.com>  Tue, 29 Aug 2000 02:04:09 -0600

dump (0.4b18-1) unstable; urgency=low

  * new upstream version, closes: #65090, #66563
  * minor updates to copyright and README.Debian files

 -- Bdale Garbee <bdale@gag.com>  Wed, 19 Jul 2000 09:49:39 -0600

dump (0.4b16-1) frozen unstable; urgency=low

  * target frozen since the segfault is release critical, and this version
    has enough good bug fixes to seem like a better choice for potato.
  * new upstream with many bug fixes, closes: #56005, #57781, #59624, #60194
  * segfault apparently fixed, closes: #59935
  * make postinst less chatty, only pause if necessary, closes: #54672
  * fix /usr/doc symlink, closes: #54673
  * use of dotted quads for remote dumps fixed upstream, closes: #55110
  * remove no-longer-relevant warning about large filesystems from the long
    description in the control file, closes: #59060
  * README.Debian adequately documents the setuid issue, closes: #59808
  * include the upstream changelog and other useful documents

 -- Bdale Garbee <bdale@gag.com>  Sun, 12 Mar 2000 20:24:54 -0700

dump (0.4b12-1) unstable; urgency=low

  * new upstream version, closes: #53302
  * WARNING to Alpha users:  This version fixes a bug that made Alpha dumps
    incompatible with dumps on other platforms.  An unfortunate side-effect
    is that it is *not* compatible with dumps made on Alpha with previous
    versions of the package.
  * the dump executable must be made setuid root so that it can gain a
    priveledged port when backing up to a remote tape device using a non-root
    user.  Since I do *not* intend to ship dump setuid root, document this in
    README.Debian for those who need to know.  Closes: #54118

 -- Bdale Garbee <bdale@gag.com>  Sat,  8 Jan 2000 10:35:30 -0700

dump (0.4b11-1) unstable; urgency=low

  * new upstream version, closes: #52448
  * minor postinst hack to aid non-interactive install, closes: #52430
  * upstream believes the "problems dumping large filesystems" that result
    in segfaults are really mis-diagnosed cases of the filetype problem that
    was fixed in 0.4b10, closes: #49981

 -- Bdale Garbee <bdale@gag.com>  Sun, 12 Dec 1999 18:34:53 -0700

dump (0.4b10-2) unstable; urgency=low

  * add another build dependency
  * add a pause in the postinst after displaying warnings, closes: #51971
  * upstream says time estimates have been fixed, closes: #15817

 -- Bdale Garbee <bdale@gag.com>  Sun,  5 Dec 1999 20:33:18 -0700

dump (0.4b10-1) unstable; urgency=low

  * new upstream source
  * update to current policy

 -- Bdale Garbee <bdale@gag.com>  Wed,  1 Dec 1999 23:44:57 -0700

dump (0.4b9-2) unstable; urgency=medium

  * fix dumpdates path, got broken when upstream maintainer merged some of
    my patches, closes: #49192

 -- Bdale Garbee <bdale@gag.com>  Fri,  5 Nov 1999 23:41:22 -0700

dump (0.4b9-1) unstable; urgency=high

  * new upstream version, includes security fix for symlink restoration

 -- Bdale Garbee <bdale@gag.com>  Fri,  5 Nov 1999 19:22:06 -0700

dump (0.4b8-1) unstable; urgency=low

  * new upstream version, closes: #38365, #47684, #47963, #26982, #38390

 -- Bdale Garbee <bdale@gag.com>  Wed,  3 Nov 1999 17:42:09 -0700

dump (0.4b7-1) unstable; urgency=low

  * new upstream version, closes: #29775, #11904, #38136, #33818

 -- Bdale Garbee <bdale@gag.com>  Sat, 30 Oct 1999 20:24:09 -0600

dump (0.4b6-1) unstable; urgency=low

  * new upstream maintainer, new upstream version, closes: #44061
  * tweak rules file to achieve FHS compliance, lintian cleanliness
  * apply patch from Eirik Fuller <eirik@netcom.com> to allow dumping
    filesystems not listed in /etc/fstab, closes: #11904
  * apply patch from Abhijit Dasgupta <abhijit@ans.net> that prevents access
    to device nodes during restore, closes: #29775
  * apply patch from Eirik Fuller <eirik@netcom.com> relating to dumpdates.
    In 0.4b4-13, I patched dump to only read dumpdates if the 'u' flag was
    specified.  The goal was to avoid failing if dumpdates wasn't yet present
    during a level 0 dump.  The problem is that incrementals *must* read the
    dumpdates file regardless of the state of the 'u' flag, or they end up all
    looking like full dumps.  This new patch ignores the 'u' flag.  Instead,
    it always skips reading dumpdates for a level 0 dump, and requires a valid
    dumpdates be read for an incremental.  Closes: #38136, #33818
  * hard-code the --enable-dumpdates-patch stuff since the upstream configure
    gets it wrong, and we want the functionality.

 -- Bdale Garbee <bdale@gag.com>  Sat,  2 Oct 1999 22:30:05 -0600

dump (0.4b4-13) frozen unstable; urgency=medium

  * tweak dump/itime.c to not try to read dumpdates if the 'u' option isn't
    specified.  Closes 30208.

 -- Bdale Garbee <bdale@gag.com>  Sat,  5 Dec 1998 21:01:45 -0700

dump (0.4b4-12) frozen unstable; urgency=medium

  * apply patch from jk@ciss.de that fixes long-standing bug when trying to
    specify single files to restore.  Closes 22955, 23144, 28051.
  * update documentation to reflect the fact that this version of dump can't
    handle filesystems larger than 4G.  I'm pretty sure the fix will involve
    a change in dump format.

 -- Bdale Garbee <bdale@gag.com>  Sun,  1 Nov 1998 22:32:29 -0700

dump (0.4b4-11) unstable; urgency=medium

  * update dump.8 to be explicit about the fact that this version of dump only
    works with ext2 filesystems, closes 24976.
  * update dump.8 to be document the text output on read errors, in the BUGS
    section which already meantions that less than 32 read errors will be
    ignored during a dump, closes 22669.

 -- Bdale Garbee <bdale@gag.com>  Sat,  1 Aug 1998 23:08:38 -0600

dump (0.4b4-10) frozen unstable; urgency=medium

  * rebuild again to cope with the messy change of names in the e2fs library
    that I thought I'd fixed with the -8 version.

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 Apr 1998 22:10:26 -0600

dump (0.4b4-9) frozen unstable; urgency=medium

  * remove ambiguity in the message displayed by postinst when there are
    no users in group disk, closes 20618

 -- Bdale Garbee <bdale@gag.com>  Sat, 18 Apr 1998 01:43:43 -0600

dump (0.4b4-8) frozen unstable; urgency=medium

  * rebuild to link against latest e2fs libraries

 -- Bdale Garbee <bdale@gag.com>  Fri, 10 Apr 1998 03:06:10 -0600

dump (0.4b4-7) frozen unstable; urgency=low

  * oops... when I moved to debhelper, I forgot to exclude the rmt.8 manpage,
    so -6 reinstated the overlap with cpio.  This fixes 20595, 20607.

 -- Bdale Garbee <bdale@gag.com>  Fri,  3 Apr 1998 23:16:47 -0700

dump (0.4b4-6) frozen unstable; urgency=low

  * reconfigure package to use debhelper, closes 19293
  * improve behaviour of postinst if /etc/dumpdates is a symlink, closes 19990

 -- Bdale Garbee <bdale@gag.com>  Sat, 21 Mar 1998 23:59:33 -0700

dump (0.4b4-5) unstable; urgency=low

  * change configure invocation to actually capture CFLAGS correctly
  * clean up some of the warnings exposed by actually using -Wall now

 -- Bdale Garbee <bdale@gag.com>  Sat, 31 Jan 1998 17:13:08 -0700

dump (0.4b4-4) unstable; urgency=low

  * cosmetic tweaks to postinst
  * patch from Mark Eichin that helps the problems with large filesystems,
    closes 15773 and 13045.

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Dec 1997 12:29:12 -0700

dump (0.4b4-3) unstable; urgency=low

  * Update man page to reflect location of dumpdates file.  Closes 15580.
  * Add missing 'break' in T clause of main.c arg parsing.  Closes 15576.
  * Tweak postinst to be more forceful about dumpdates group.  Closes 15661.

 -- Bdale Garbee <bdale@gag.com>  Sun,  7 Dec 1997 11:37:20 -0700

dump (0.4b4-2) unstable; urgency=medium

  * Rebuilt to depend on new, officially released, packages of e2fs libs.
    This should close all the recent bug reports against dump that resulted
    from my accidental release of 0.4b4-1 that depended on unreleased
    libraries.

 -- Bdale Garbee <bdale@gag.com>  Sun, 23 Nov 1997 19:48:12 -0700

dump (0.4b4-1) unstable; urgency=low

  * New upstream version (officially still in beta test).
  * New maintainer, package reconstructed.

 -- Bdale Garbee <bdale@gag.com>  Fri, 24 Oct 1997 23:56:53 -0600
